Loading...
Searching...
No Matches
Image Class Reference

`#include <nanovdb/examples/benchmark/Image.h>`

Inheritance diagram for Image:

## Classes

struct | ColorRGB

## Public Member Functions

void | clear (int log2=7)
__hostdev__ int | width () const
__hostdev__ int | height () const
__hostdev__ int | size () const
__hostdev__ float | u (int w) const
__hostdev__ float | v (int h) const
__hostdev__ ColorRGB & | operator() (int w, int h)
void | writePPM (const std::string &fileName, const std::string &comment="width height 255")

## Detailed Description

Note
  Can only be constructed by an ImageHandle

## Member Function Documentation

## clear()

void clear | ( | int | log2 = 7 | ) |

inline

## height()

__hostdev__ int height | ( |  | ) | const

inline

## operator()()

Image::ColorRGB & operator() | ( | int | w,
|  | int | h )

inline

## size()

__hostdev__ int size | ( |  | ) | const

inline

## u()

__hostdev__ float u | ( | int | w | ) | const

inline

## v()

__hostdev__ float v | ( | int | h | ) | const

inline

## width()

__hostdev__ int width | ( |  | ) | const

inline

## writePPM()

void writePPM | ( | const std::string & | fileName,
|  | const std::string & | comment = "width height 255" )

inline